import React, { HTMLAttributes } from 'react';
import { EditorView } from '@codemirror/view';
import { Config } from './config';
export declare type CodeMirrorProps = Omit<HTMLAttributes<HTMLDivElement>, 'defaultValue' | 'value' | 'onChange'> & Config & {
    defaultValue?: string;
    value?: string;
    onChange?: (code: string) => void;
};
export declare const CodeMirror: React.ForwardRefExoticComponent<Omit<React.HTMLAttributes<HTMLDivElement>, "defaultValue" | "value" | "onChange"> & Config & {
    defaultValue?: string | undefined;
    value?: string | undefined;
    onChange?: ((code: string) => void) | undefined;
} & React.RefAttributes<EditorView>>;
