import { RefObject } from 'react';
import { EditorView } from '@codemirror/view';
import { Config } from './config';
export declare type UseCodeMirrorProps = Config & {
    parentRef: RefObject<Element | DocumentFragment | undefined>;
    code?: string;
    onChange?: (code: string) => void;
};
export declare const useCodeMirror: ({ parentRef, code, onChange, theme, padding, readOnly, showLineNumbers, wrapLine, extensions, filename, }: UseCodeMirrorProps) => import("react").MutableRefObject<EditorView | null>;
